package migl.lisp;

/**
 * Simple factory to access the interpreter implementation.
 * 
 * @author leberre
 *
 */
public class LispFactory {
	
	private static Lisp interpreter;

    private LispFactory() {
        // do nothing
    }

    /**
     * Create a new instance of the interpreter.
     * 
     * @return a new lisp interpreter.
     */
    public static Lisp makeIntepreter() {
    	if(interpreter == null) {
    		interpreter = new LispImpl();
    	}
        return interpreter;
    }
}
